package com.sunxung.factoring.entity.salescontractmanagement;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sunxung.factoring.entity.BaseEntity;
import com.sunxung.factoring.entity.salescontractmanagement.vo.SalesContractBasicVo;
import com.sunxung.factoring.entity.sys.FileStorage;
import com.sunxung.factoring.entity.sys.FileStorageDO;

import java.util.List;

/**
 * <p>
 * 销售合同变更信息历史表
 * </p>
 *
 * @author yafan
 * @since 2023-12-12
 */
@TableName("sales_contract_supplement_his_info")
public class SalesContractSupplementHisInfo extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 销售合同管理Id
     */
    @TableField("c_sales_contract_management_id")
    private Long cSalesContractManagementId;

    /**
     * 销售合同变更信息表Id
     */
    @TableField("c_sales_contract_supplement_info_id")
    private Long cSalesContractSupplementInfoId;

    /**
     * 变更类型
     */
    @TableField("change_type")
    private Integer changeType;

    /**
     * 说明
     */
    @TableField("remark")
    private String remark;

    @TableField(exist = false)
    private SalesContractBasicVo salesContractBasicVo;

    @TableField(exist = false)
    private List<SalesContractSupplementPersonInfoHistory> personInfoHistoryList;

    @TableField(exist = false)
    private List<FileStorageDO> fileStorageList;

    public Long getcSalesContractManagementId() {
        return cSalesContractManagementId;
    }

    public void setcSalesContractManagementId(Long cSalesContractManagementId) {
        this.cSalesContractManagementId = cSalesContractManagementId;
    }

    public Long getcSalesContractSupplementInfoId() {
        return cSalesContractSupplementInfoId;
    }

    public void setcSalesContractSupplementInfoId(Long cSalesContractSupplementInfoId) {
        this.cSalesContractSupplementInfoId = cSalesContractSupplementInfoId;
    }

    public Integer getChangeType() {
        return changeType;
    }

    public void setChangeType(Integer changeType) {
        this.changeType = changeType;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public SalesContractBasicVo getSalesContractBasicVo() {
        return salesContractBasicVo;
    }

    public void setSalesContractBasicVo(SalesContractBasicVo salesContractBasicVo) {
        this.salesContractBasicVo = salesContractBasicVo;
    }

    public List<SalesContractSupplementPersonInfoHistory> getPersonInfoHistoryList() {
        return personInfoHistoryList;
    }

    public void setPersonInfoHistoryList(List<SalesContractSupplementPersonInfoHistory> personInfoHistoryList) {
        this.personInfoHistoryList = personInfoHistoryList;
    }

    public List<FileStorageDO> getFileStorageList() {
        return fileStorageList;
    }

    public void setFileStorageList(List<FileStorageDO> fileStorageList) {
        this.fileStorageList = fileStorageList;
    }

    @Override
    public String toString() {
        return "SalesContractSupplementHisInfo{" +
                ", cSalesContractManagementId=" + cSalesContractManagementId +
                ", cSalesContractSupplementInfoId=" + cSalesContractSupplementInfoId +
                ", changeType=" + changeType +
                ", remark=" + remark +
                "}";
    }
}
